Update a campaign
curl --request PATCH \
--url https://api.railmail.app/api/v1/campaigns/{campaignKey} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"subject": "<string>",
"previewText": "<string>",
"contentJson": "<string>",
"contentText": "<string>",
"fromEmail": "<string>",
"fromName": "<string>",
"topicIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"segmentIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"scheduledAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.railmail.app/api/v1/campaigns/{campaignKey}"
payload = {
"name": "<string>",
"subject": "<string>",
"previewText": "<string>",
"contentJson": "<string>",
"contentText": "<string>",
"fromEmail": "<string>",
"fromName": "<string>",
"topicIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"segmentIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"scheduledAt": "2023-11-07T05:31:56Z"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
subject: '<string>',
previewText: '<string>',
contentJson: '<string>',
contentText: '<string>',
fromEmail: '<string>',
fromName: '<string>',
topicIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
segmentIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
scheduledAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.railmail.app/api/v1/campaigns/{campaignKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignKey": "<string>",
"name": "<string>",
"subject": "<string>",
"previewText": "<string>",
"contentJson": "<string>",
"contentText": "<string>",
"status": "<string>",
"sendStrategy": "<string>",
"topicIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"segmentIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"estimatedRecipientCount": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"fromEmail": "<string>",
"fromName": "<string>",
"preSendScore": 123,
"preSendStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}Campaigns
Update a campaign
Updates campaign metadata and content. Requires scope: campaigns:write. Tenancy: scoped to the API key’s project.
PATCH
/
api
/
v1
/
campaigns
/
{campaignKey}
Update a campaign
Authorizations
Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....
Path Parameters
Campaign key (e.g. APIT-001).
Body
application/json
Maximum string length:
200Maximum string length:
500Available options:
DRAFT, IMMEDIATE, SCHEDULED Response
Updated campaign